k0rdent AI Docs

Delete credential

Visibility: public · internal ( OpenAPI Custom Extension: x-visibility )

Permanently delete a credential. The client_secret is immediately unusable. This action is irreversible.

Only tenant administrators can delete credentials. Non-admin callers receive 404 to prevent resource enumeration.

If this is the last active credential on the service account, the service account will have no way to authenticate until a new credential is created.

DELETE
/v1/regions/global/iam/service-accounts/{serviceAccountId}/credentials/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

Bearer token authentication using OAuth2/OIDC tokens

In: header

Path Parameters

serviceAccountId*string

Service account resource identifier.

id*string

Credential resource identifier.

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://api.k0rdent.ai/v1/regions/global/iam/service-accounts/string/credentials/string"
Empty
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}

How is this guide?

On this page

No Headings